#include "StdInclude.h"
#include "Globals.h"
#include "resource.h"


int iDepth=0; // Counts how many times EnterGDI has been called without an ExitGDI
 // Called when entering/exiting a dialog/gdi function
void EnterGDI(void)
{
	if (iDepth==0) {
		Screen->GetDD()->FlipToGDISurface();
	}
	iDepth++;
}

void ExitGDI(void)
{
	iDepth--;
	if (iDepth==0) {
		SetFocus(g_hWnd);
	}
}




DWORD dwValue;
char *cpName;
BOOL CALLBACK GetValueDlgProc (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam);

DWORD GetValue(char sName[], DWORD dwDefaultValue) // Calls a dialog, and asks for sName
{

	cpName = sName;
	dwValue = dwDefaultValue;

//	Input->SetMouseLimits(0, 0, 300, 300);
	EnterGDI();
	int res = DialogBox (g_hInst, MAKEINTRESOURCE (IDD_DWVALUE), g_hWnd, (DLGPROC)GetValueDlgProc);
	ExitGDI();

	return dwValue;
}


BOOL CALLBACK GetValueDlgProc (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)
{
	BOOL b;
	switch (iMsg) {
		case WM_INITDIALOG:
			// Set Data to what was passed tp GetValue
			SetDlgItemInt(hDlg, IDC_DWVALUE, dwValue, FALSE);
			SetDlgItemText(hDlg, IDC_NAME, cpName);
			break;

		case WM_COMMAND:

			switch (LOWORD (wParam))
			{
				case IDOK: // Syncronize Data
					dwValue = GetDlgItemInt(hDlg, IDC_DWVALUE, &b, FALSE);
						if (!b) { SetDlgItemText(hDlg, IDC_DWVALUE, "#INVALID#"); break; }
					EndDialog(hDlg, LOWORD (wParam));
					return TRUE;
			}
			break;

	}
	return DefWindowProc(hDlg, iMsg, wParam, lParam);
}


